package es.uv.saic.domain;

import java.io.Serializable;
import java.util.List;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.FetchType;
import jakarta.persistence.Id;
import jakarta.persistence.JoinColumn;
import jakarta.persistence.NamedQuery;
import jakarta.persistence.OneToMany;
import jakarta.persistence.Table;

@Entity
@Table(name="informes")
@NamedQuery(name="Informe.findAll", query="SELECT i FROM Informe i")
public class Informe implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name="id_informe")
	private Integer idInforme;
	
	private String nom;
	
	@Column(name="titol_cas")
	private String titolCas;
	
	@Column(name="titol_val")
	private String titolVal;
	
	@Column(name="descripcio_cas")
	private String descripcioCas;
	
	@Column(name="descripcio_val")
	private String descripcioVal;
	
	private boolean combinat;
	
	@Column(name="grup_web")
	private String grupWeb;
	
	private Integer ordre;
	
	private String tambit;
	
	@OneToMany(fetch=FetchType.EAGER)
    @JoinColumn(name = "id_informe", referencedColumnName = "id_informe")
	private List<InformeProcessos> processos;

	public Informe() {}
	
	public Integer getIdInforme() {
		return idInforme;
	}

	public void setIdInforme(Integer idInforme) {
		this.idInforme = idInforme;
	}

	public String getNom() {
		return nom;
	}

	public void setNom(String nom) {
		this.nom = nom;
	}

	public String getTitolCas() {
		return titolCas;
	}

	public void setTitolCas(String titolCas) {
		this.titolCas = titolCas;
	}

	public String getTitolVal() {
		return titolVal;
	}

	public void setTitolVal(String titolVal) {
		this.titolVal = titolVal;
	}

	public String getDescripcioCas() {
		return descripcioCas;
	}

	public void setDescripcioCas(String descripcioCas) {
		this.descripcioCas = descripcioCas;
	}

	public String getDescripcioVal() {
		return descripcioVal;
	}

	public void setDescripcioVal(String descripcioVal) {
		this.descripcioVal = descripcioVal;
	}

	public boolean isCombinat() {
		return combinat;
	}

	public void setCombinat(boolean combinat) {
		this.combinat = combinat;
	}

	public String getGrupWeb() {
		return grupWeb;
	}

	public void setGrupWeb(String grupWeb) {
		this.grupWeb = grupWeb;
	}

	public List<InformeProcessos> getProcessos() {
		return processos;
	}

	public void setProcessos(List<InformeProcessos> processos) {
		this.processos = processos;
	}

	public Integer getOrdre() {
		return ordre;
	}

	public void setOrdre(Integer ordre) {
		this.ordre = ordre;
	}

	public String getTambit() {
		return tambit;
	}

	public void setTambit(String tambit) {
		this.tambit = tambit;
	}
	
	
}
